import {axios} from '@/util/axios/request'

const api = {
  getPage: '/base/community/list',
  deleteOne:'/base/community/',
  deleteBatch:'/base/community/batchDelete',
  save:'/base/community',
  getDetail: '/base/community/',
  getAllList: '/base/community/all',
}

export default api

export function getPage(parameter) {
  return axios({
    url: api.getPage,
    method: 'post',
    data: parameter
  })
}

export function getDetail(id) {
  return axios({
    url: api.getDetail + id,
    method: 'get',
    useFullLoading: true
  })
}

export function deleteOne(id) {
  return axios({
    url: api.deleteOne+id,
    method: 'delete',
  })
}

export function deleteBatch(parameter) {
  return axios({
    url: api.deleteBatch,
    method: 'post',
    data: parameter
  })
}

export function save(data) {
  return axios({
    url: api.save,
    method: 'post',
    data: data,
    useFullLoading: true
  })
}

export function getAllCommunityList() {
  return axios({
    url: api.getAllList,
    method: 'post',
  })
}